Update folder
Updates a folder. This can be also be used to move the folder, create shared links, update collaborations, and more.
Authorizations
Headers
Path Parameters
The unique identifier that represent a folder.
The ID for any folder can be determined by visiting this folder in the web application and copying the ID from the URL. For example, for the URL https://*.app.box.com/folder/123 the folder_id is 123.
The root folder of a Box account is always represented by the ID 0.
Query Parameters
A comma-separated list of attributes to include in the response. This can be used to request fields that are not normally returned in a standard response.
Be aware that specifying this parameter will have the effect that none of the standard fields are returned in the response unless explicitly specified, instead only fields for the mini representation are returned, additional to the fields requested.
Body
The optional new name for this folder.
The following restrictions to folder names apply: names containing non-printable ASCII characters, forward and backward slashes (/, \), names with trailing spaces, and names . and .. are not allowed.
Folder names must be unique within their parent folder. The name check is case-insensitive, so a folder named New Folder cannot be created in a parent folder that already contains a folder named new folder.
"New Folder"
Enables the creation of a shared link for a folder.
The tags for this item. These tags are shown in the Box web app and mobile apps next to an item.
To add or remove a tag, retrieve the item's current tags, modify them, and then update this field.
There is a limit of 100 tags per item, and 10,000 unique tags per enterprise.
1 - 100 elementsAn array of collections to make this folder a member of. Currently we only support the favorites collection.
To get the ID for a collection, use the List all collections endpoint.
Passing an empty array [] or null will remove the folder from all collections.
Restricts collaborators who are not the owner of this folder from viewing other collaborations on this folder.
It also restricts non-owners from inviting new collaborators.
When setting this field to false, it is required to also set can_non_owners_invite_collaborators to false if it has not already been set.
true
Response
Returns a folder object for the updated folder
Not all available fields are returned by default. Use the fields query parameter to explicitly request any specific fields.
If the user is moving folders with a large number of items in all of their descendants, the call will be run asynchronously. If the operation is not completed within 10 minutes, the user will receive a 200 OK response, and the operation will continue running.
A full representation of a folder, as can be returned from any folder API endpoints by default.
A numeric identifier that represents the most recent user event that has been applied to this item.
This can be used in combination with the GET /events-endpoint to filter out user events that would have occurred before this identifier was read.
An example would be where a Box Drive-like application would fetch an item via the API, and then listen to incoming user events for changes to the item. The application would ignore any user events where the sequence_id in the event is smaller than or equal to the sequence_id in the originally fetched resource.
"3"
The folder size in bytes.
This includes the files in the folder and its subfolders, along with their previous versions. Files in Trash are not included. After a file with many versions is moved to Trash, the value can take several days to reflect the change.
Be careful parsing this integer as its value can get very large.
629644
The shared link for this folder. This will be null if no shared link has been created for this folder.
The folder_upload_email parameter is not null if one of the following options is true:
-
The Allow uploads to this folder via email and the Only allow email uploads from collaborators in this folder are enabled for a folder in the Admin Console, and the user has at least Upload permissions granted.
-
The Allow uploads to this folder via email setting is enabled for a folder in the Admin Console, and the Only allow email uploads from collaborators in this folder setting is deactivated (unchecked).
If the conditions are not met, the parameter will have the following value: folder_upload_email: null.
The tags for this item. These tags are shown in the Box web app and mobile apps next to an item.
To add or remove a tag, retrieve the item's current tags, modify them, and then update this field.
There is a limit of 100 tags per item, and 10,000 unique tags per enterprise.
1 - 100 elementsAn object containing the metadata instances that have been attached to this folder.
Each metadata instance is uniquely identified by its scope and templateKey. There can only be one instance of any metadata template attached to each folder. Each metadata instance is nested within an object with the templateKey as the key, which again itself is nested in an object with the scope as the key.
The shared link access levels the authenticated user is allowed to use when creating or updating a shared link for this folder.
The list depends on item policy and user authorization. For some folders, like the root folder, this is always empty as sharing is not allowed at that level.
The access level for a shared link.
open, company, collaborators Specifies if the folder can be accessed with the direct shared link or a shared link to a parent folder.
true
The collections that this folder belongs to.
For more information, see the collections guide.
